<template lang='pug'>
.b-markdown-viewer(ref="mdContainer" class="markdown-body")
</template>

<script>

export { default } from "./MarkdownViewer.vue.js";

</script>

<style>

.b-markdown-viewer blockquote {
  padding: 10px;
  border-left: 5px solid #eee;
  display: block;
  margin-block-start: 1em;
  margin-block-end: 1em;
  margin-inline-start: 15px;
  margin-inline-end: 15px;
}

.b-markdown-viewer blockquote:before,
.b-markdown-viewer blockquote:after {
  content: "";
}

.b-markdown-viewer pre {
  display: block;
  padding: 9.5px;
  margin: 0 0 10px;
  font-size: 13px;
  line-height: 1.42857143;
  color: #333;
  word-break: break-all;
  word-wrap: break-word;
  background-color: #f5f5f5;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.b-markdown-viewer ul,
.b-markdown-viewer ol {
  margin-top: 0;
  margin-bottom: 10px;
}

.b-markdown-viewer .contains-task-list label {
  display: inline-block;
  margin-bottom: 0 !important;
  margin-left: 0.5rem;
}

</style>
